Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Static Public Member Functions | Static Public Attributes
Lucene::StringUtils Class Reference

`#include <StringUtils.h>`

## Static Public Member Functions

static int32_t | toUnicode (const uint8_t *utf8, int32_t length, CharArray unicode)
| Convert uft8 buffer into unicode. More...
static int32_t | toUnicode (const uint8_t *utf8, int32_t length, UnicodeResultPtr unicodeResult)
| Convert uft8 buffer into unicode. More...
static String | toUnicode (const uint8_t *utf8, int32_t length)
| Convert uft8 buffer into unicode. More...
static String | toUnicode (const SingleString &s)
| Convert uft8 string into unicode. More...
static int32_t | toUTF8 (const wchar_t *unicode, int32_t length, ByteArray utf8)
| Convert unicode buffer into uft8. More...
static int32_t | toUTF8 (const wchar_t *unicode, int32_t length, UTF8ResultPtr utf8Result)
| Convert unicode buffer into uft8. More...
static SingleString | toUTF8 (const wchar_t *unicode, int32_t length)
| Convert unicode buffer into uft8. More...
static SingleString | toUTF8 (const String &s)
| Convert unicode string into uft8. More...
static void | toLower (String &str)
| Convert given string to lower case using current locale. More...
static String | toLower (const String &str)
| Convert given string to lower case using current locale. More...
static void | toUpper (String &str)
| Convert given string to upper case using current locale. More...
static String | toUpper (const String &str)
| Convert given string to upper case using current locale. More...
static int32_t | compareCase (const String &first, const String &second)
| Compare two strings ignoring case differences. More...
static Collection< String > | split (const String &str, const String &delim)
| Splits string using given delimiters. More...
static int32_t | toInt (const String &value)
| Convert the given string to int32_t. More...
static int64_t | toLong (const String &value)
| Convert the given string to int64_t. More...
static int64_t | toLong (const String &value, int32_t base)
| Return given value as a long integer using base unit. More...
static double | toDouble (const String &value)
| Convert the given string to double. More...
static int32_t | hashCode (const String &value)
| Compute the hash code from string. More...
static String | toString (int64_t value, int32_t base)
| Return given value as a string using base unit. More...
template<class TYPE >
static String | toString (const TYPE &value)
| Convert any given type to a String. More...

## Static Public Attributes

static const int32_t | MAX_ENCODING_UTF8_SIZE
| Maximum length of UTF encoding. More...
static const int32_t | CHARACTER_MAX_RADIX
| Default character radix. More...

## Member Function Documentation

static int32_t Lucene::StringUtils::compareCase | ( | const String & | first,
|  | const String & | second
| ) |  |

static

Compare two strings ignoring case differences.

static int32_t Lucene::StringUtils::hashCode | ( | const String & | value) |  |

static

Compute the hash code from string.

Referenced by Lucene::VariantUtils::hashCode().

static Collection<String> Lucene::StringUtils::split | ( | const String & | str,
|  | const String & | delim
| ) |  |

static

Splits string using given delimiters.

static double Lucene::StringUtils::toDouble | ( | const String & | value) |  |

static

Convert the given string to double.

static int32_t Lucene::StringUtils::toInt | ( | const String & | value) |  |

static

Convert the given string to int32_t.

static int64_t Lucene::StringUtils::toLong | ( | const String & | value) |  |

static

Convert the given string to int64_t.

static int64_t Lucene::StringUtils::toLong | ( | const String & | value,
|  | int32_t | base
| ) |  |

static

Return given value as a long integer using base unit.

static void Lucene::StringUtils::toLower | ( | String & | str) |  |

static

Convert given string to lower case using current locale.

static String Lucene::StringUtils::toLower | ( | const String & | str) |  |

static

Convert given string to lower case using current locale.

static String Lucene::StringUtils::toString | ( | int64_t | value,
|  | int32_t | base
| ) |  |

static

Return given value as a string using base unit.

template<class TYPE >

static String Lucene::StringUtils::toString | ( | const TYPE & | value) |  |

inline static

Convert any given type to a String.

static int32_t Lucene::StringUtils::toUnicode | ( | const uint8_t * | utf8,
|  | int32_t | length,
|  | CharArray | unicode
| ) |  |

static

Convert uft8 buffer into unicode.

static int32_t Lucene::StringUtils::toUnicode | ( | const uint8_t * | utf8,
|  | int32_t | length,
|  | UnicodeResultPtr | unicodeResult
| ) |  |

static

Convert uft8 buffer into unicode.

static String Lucene::StringUtils::toUnicode | ( | const uint8_t * | utf8,
|  | int32_t | length
| ) |  |

static

Convert uft8 buffer into unicode.

static String Lucene::StringUtils::toUnicode | ( | const SingleString & | s) |  |

static

Convert uft8 string into unicode.

static void Lucene::StringUtils::toUpper | ( | String & | str) |  |

static

Convert given string to upper case using current locale.

static String Lucene::StringUtils::toUpper | ( | const String & | str) |  |

static

Convert given string to upper case using current locale.

static int32_t Lucene::StringUtils::toUTF8 | ( | const wchar_t * | unicode,
|  | int32_t | length,
|  | ByteArray | utf8
| ) |  |

static

Convert unicode buffer into uft8.

static int32_t Lucene::StringUtils::toUTF8 | ( | const wchar_t * | unicode,
|  | int32_t | length,
|  | UTF8ResultPtr | utf8Result
| ) |  |

static

Convert unicode buffer into uft8.

static SingleString Lucene::StringUtils::toUTF8 | ( | const wchar_t * | unicode,
|  | int32_t | length
| ) |  |

static

Convert unicode buffer into uft8.

static SingleString Lucene::StringUtils::toUTF8 | ( | const String & | s) |  |

static

Convert unicode string into uft8.

## Field Documentation

const int32_t Lucene::StringUtils::CHARACTER_MAX_RADIX

static

Default character radix.

const int32_t Lucene::StringUtils::MAX_ENCODING_UTF8_SIZE

static

Maximum length of UTF encoding.

The documentation for this class was generated from the following file:

- StringUtils.h

clucene.sourceforge.net